<?php
require_once("../../functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;

$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget("post", ["id"], $pag, true, "/views/tables/fichajes");
gen_plantilla(true, $pag, false, false, '', false, false);

$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_NUMBER_INT);

if (!consulta('UPDATE registros_inspector SET activo=0 WHERE id=?;', [$id], false)) {
    crear_log(
        "error",
        "Error al cambiar estado registro inspector",
        $pag,
        "Error al cambiar el estado del registro inspector a no activo con id: $id."
    );
    crear_notificacion("error", "No se pudo eliminar el registro");
} else {
    crear_log(
        "advertencia",
        "Registro cambiado de estado inspector",
        $pag,
        "Se ha cambiado el estado del registro inspector a no activo con id: $id."
    );
    crear_notificacion("correcto", "¡El registro ha sido eliminado!");
}
